/*为了兼容库之前可能已经存在不同的字段的数据类型，将多语言字段类型与主表保持一致（nvarchar）*/
/*问题发现：基线与开发分支找到表结构的差异*/
/*这是涉及到基础的元数据表*/
EXEC p_AlterColumn 'T_ER_BILLTYPE', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_BILLTYPE_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_EXPENSEITEM', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_EXPENSEITEM_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_EXPENSEITEMBILL', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_EXPENSEITEMBILL_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_EXPENSEITEMPIC', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_EXPENSEITEMPIC_L', 'FNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_EXPENSEITEM', 'FFULLNAME', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_EXPENSEITEM_L', 'FFULLNAME', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
 
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE', 'FNAME', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE_L', 'FNAME', 'NVARCHAR(255)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE', 'FFULLNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE_L', 'FFULLNAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE_L', 'FSIMPLENAME', 'NVARCHAR(100)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE', 'FKEY', 'NVARCHAR(2000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE_L', 'FKEY', 'NVARCHAR(2000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE', 'FDESCRIPTION', 'NVARCHAR(2000)', 'NOT NULL', '1111', ''' ''';
EXEC p_AlterColumn 'T_ER_TAXCLASSCODE_L', 'FDESCRIPTION', 'NVARCHAR(2000)', 'NOT NULL', '1111', ''' ''';
 